<?xml version="1.0" encoding="UTF-8"?>
<!--
Proyecto SNC 2015

@cu CU-226
@author felipe.cadena
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        id="tipoPredioEtapasForm">
    <p:spacer height="20" /> 
    <p:fieldset>
        <p:messages id="tipoPredioEtapasMsgs" />
        <legend>
            <h:outputLabel value="Informacion de registro tipo predio" styleClass="legendTitle"/>
        </legend>
        <h:panelGrid columns="2" cellpadding="10">
            <h:outputLabel value="Cantidad de predios seleccionados" id="nPrediosLbl-2"
                           styleClass="outputLabelStyle" />
            <h:inputText value="#{entradaProyeccion.nPrediosSeleccionados}" id="nPredios-2" label="Cantidad predios"
                         styleClass="outputLabelStyle" disabled="true" />

            <h:panelGrid columns="2" cellpadding="10">
                <h:outputLabel value="Tipo de predio " 
                               styleClass="outputLabelStyle" /> 
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="tipoPredio" label="Tipo de predio"
                             required="true"
                             value="#{entradaProyeccion.tipoPredioEtapas}">
                <f:selectItems value="#{proyectarConservacion.tiposPredioEtapas}" />

            </h:selectOneMenu>
        </h:panelGrid>
    </p:fieldset>  
    <p:spacer height="10" /> 
    <div style="text-align: right;">
        <p:commandButton value="Borrar" icon="ui-icon-close"
                         update=":tabView1:entradaProyeccionForm" action="#{entradaProyeccion.asignarTipoPredioMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, tipoPredioWV, false);">
            <f:setPropertyActionListener target="#{entradaProyeccion.borrarDatoMasivo}" value="true"/>
        </p:commandButton>
        <p:spacer width="10" /> 
        <p:commandButton value="Guardar" icon="ui-icon-disk"  id="aceptarTipoPredioBtn"
                         update=":tabView1:entradaProyeccionForm, :tipoPredioEtapasForm:tipoPredioEtapasMsgs"
                         action="#{entradaProyeccion.asignarTipoPredioMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, tipoPredioWV, false);"/>
        <p:spacer width="10" /> 
        <p:commandButton value="Cerrar" icon="ui-icon-close" oncomplete="tipoPredioWV.hide();"/>
        <p:spacer width="20" /> 
    </div>
</h:form>